<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/conexion.php';
require '../../modelo/material_extra.php';

$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = $_POST['activo'];

$material_extras = MaterialExtra::mdlGetMaterialExtras($activo);

if (!$material_extras) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron materiales extras';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $material_extras;

echo json_encode($response);